FACTER(8)

NAME
facter - Gather system information

SYNOPSIS
Collect and display facts about the system.

USAGE
facter [--color] [--custom-dir DIR] [-d|--debug] [--external-dir DIR] [--help]
  [-j|--json] [-l|--log-level LEVEL (=warn)] [--no-color] [--no-custom-facts]
  [--no-external-facts] [--trace] [--verbose] [-v|--version] [-y|--yaml]
  [fact] [fact] [...]

DESCRIPTION
Collect and display facts about the current system. The library behind Facter is easy to extend, making Facter an easy way to collect information about a system.

If no queries are given, then all facts will be returned.

OPTIONS
      --color                      Enables color output.
      --custom-dir arg             A directory to use for custom facts.
-d, [ --debug ]                    Enable debug output.
      --external-dir arg           A directory to use for external facts.
      --help                       Print help and usage information.
-j, [ --json ]                     Output facts in JSON format.
      --show-legacy                Show legacy facts when querying all facts.
-l, [ --log-level ] arg (=warn)    Set logging level.
                                   Supported levels are: none, trace, debug,
                                   info, warn, error, and fatal.
      --no-color                   Disables color output.
      --no-custom-fact             Disables custom facts.
      --no-external-facts          Disables external facts.
      --no-ruby                    Disables loading Ruby, facts requiring Ruby, and custom facts.
      --trace                      Enables backtraces for custom facts.
      --verbose                    Enables verbose (info) output.
-v, [ --version ]                  Print the version and exit.
-y, [ --yaml ]                     Output facts in YAML format.

EXAMPLE
Display all facts:

    $ facter
    disks => {
      sda => {
        model => "Virtual disk",
        size => "8.00 GiB",
        size_bytes => 8589934592,
        vendor => "ExampleVendor"
      }
    }
    dmi => {
      bios => {
        release_date => "06/23/2013",
        vendor => "Example Vendor",
        version => "6.00"
      }
    }
    [...]

Display a single structured fact:

    $ facter processors
    {
      count => 2,
      isa => "x86_64",
      models => [
        "Intel(R) Xeon(R) CPU E5-2680 v2 @ 2.80GHz",
        "Intel(R) Xeon(R) CPU E5-2680 v2 @ 2.80GHz"
      ],
      physicalcount => 2
    }

Display a single fact nested within a structured fact:

    $ facter processors.isa
    x86_64

Display a single legacy fact. Note that non-structured facts existing in previous versions of Facter are still available, but are not displayed by default due to redundancy with newer structured facts:

    $ facter processorcount
    2

Format facts as JSON:

    $ facter --json os.name os.release.major processors.isa
    {
      "os.name": "Ubuntu",
      "os.release.major": "14.04",
      "processors.isa": "x86_64"
    }

AUTHOR
Luke Kanies

COPYRIGHT
Copyright (c) 2011-2015 Puppet Labs, Inc Licensed under the Apache 2.0 license